VismaBouwsoftAPICalls.v1_POST_Employees Method
v1_POST_Employees() as String

This API call is used to add a(n) Employee

General Description

HTTP method API version
POST v1

Don’t forget to put the Authorization field in the header

API Path: /Employees
or
API Path: /Employees/{id}/Upload

Fields

The following fields are available:

Field Name Type Id Type Name Length Required Writeable Force Write Link
name 2 tpString 150 No Yes No
initials 2 tpString 5 No Yes No
firstname 2 tpString 50 No Yes No
surname 2 tpString 50 No Yes No
username 2 tpString 50 No No No
nr 1 tpLong 0 Yes Yes No
groups 2 tpString 0 No No No
address 2 tpString 63 No Yes No
addressline2 2 tpString 63 No Yes No
countrycode 2 tpString 2 No Yes No
zipcode 2 tpString 15 No Yes No
city 2 tpString 40 No Yes No
state 2 tpString 40 No Yes No
telephone 9 tpTelefoon 25 No Yes No
fax 15 tpFax 25 No Yes No
gsm 9 tpTelefoon 25 No Yes No
email 10 tpEmail 100 No Yes No
company_id 1 tpLong 0 Yes Yes No CompanyDetails
company_name 2 tpString 250 No No No
function 2 tpString 50 No Yes No
function_localized 2 tpString 50 No No No
date_in_service 6 tpDateNullString 0 No Yes No
date_no_longer_in_service 6 tpDateNullString 0 No Yes No
date_birth 6 tpDateNullString 0 No Yes No
place_birth 2 tpString 50 No No No
language 2 tpString 50 No Yes No
gender 2 tpString 15 No Yes No
civil_status 2 tpString 50 No Yes No
civil_status_localized 2 tpString 50 No No No
bic 2 tpString 35 No Yes No
iban 2 tpString 35 No Yes No
identity_card_nr 2 tpString 50 No Yes No
national_identity_nr 2 tpString 50 No Yes No
social_security_nr 2 tpString 50 No Yes No
partner_name 2 tpString 50 No Yes No
partner_profession 2 tpString 50 No Yes No
partner_date_of_birth 6 tpDateNullString 0 No Yes No
partner_with_disability 5 tpBool 0 No Yes No
partner_fiscally_dependent 5 tpBool 0 No Yes No
children_with_disability 1 tpLong 0 No Yes No
children_fiscally_dependent 1 tpLong 0 No Yes No
people_with_disability 1 tpLong 0 No Yes No
people_fiscally_dependent 1 tpLong 0 No Yes No
healthcare_fund_name 2 tpString 50 No Yes No
healthcare_fund_registration_nr 2 tpString 50 No Yes No
healthcare_fund_address 2 tpString 63 No Yes No
healthcare_fund_addressline2 2 tpString 63 No Yes No
healthcare_fund_countrycode 2 tpString 2 No Yes No
healthcare_fund_zipcode 2 tpString 15 No Yes No
healthcare_fund_city 2 tpString 40 No Yes No
healthcare_fund_state 2 tpString 40 No No No
general_practitioner 2 tpString 0 No Yes No
telephone_emergency 9 tpTelefoon 0 No Yes No
contract_start 6 tpDateNullString 0 No Yes No
contract_end 6 tpDateNullString 0 No Yes No
contract_independent 5 tpBool 0 No Yes No
contract_type 2 tpString 50 No Yes No
contract_type_localized 2 tpString 50 No No No
classification 2 tpString 50 No Yes No
employment_form 2 tpString 50 No Yes No
employment_form_localized 2 tpString 50 No Yes No
employment_status 2 tpString 50 No Yes No
employment_status_localized 2 tpString 50 No Yes No
personnel_nr 2 tpString 50 No Yes No
dimona_nr 2 tpString 20 No Yes No
drivers_license 5 tpBool 0 No Yes No
drivers_license_expire_date 6 tpDateNullString 0 No Yes No
acknowledgement_nr_gv 2 tpString 50 No Yes No
acknowledgement_nr_tv 2 tpString 50 No Yes No
acknowledgement_nr_va 2 tpString 50 No Yes No
acknowledgement_nr_sv 2 tpString 50 No Yes No
acknowledgement_g1 5 tpBool 0 No Yes No
acknowledgement_g2 5 tpBool 0 No Yes No
acknowledgement_l 5 tpBool 0 No Yes No
distance_commute 4 tpDouble 0 No Yes No
active 5 tpBool 0 No No No
ts_lastupdate 3 tpDate 0 No No No

/Employees

API Path: /Employees/

If everything succeeds the HTTP response status is 201
(201 CREATED)

If you forget to send the Authorization, the response status and code is 401
(401 Unauthorized)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/Employees

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: DObfWxfrlrzSfbDIffzRqtkjfOkGfGtrfffkzrlPUmlGjOjfUl

Query Parameters :
ParameterName: columns, ParameterValue: name=’WnDirk API‘,firstname=’wnDirk’,surname=’API’

Success gives statuscode 201 And the following result

{“RecordChanges”: [
  {
    "id": 551,
    "name": "WnDirk API",
    "initials": "",
    "firstname": "wnDirk",
    "surname": "API",
    "username": "",
    "nr": 2018252,
    "groups": "",
    "address": "",
    "addressline2": "",
    "countrycode": "",
    "zipcode": "",
    "city": "",
    "state": "",
    "telephone": "",
    "fax": "",
    "gsm": "",
    "email": "",
    "company_id": 2,
    "company_name": "Groensoft",
    "function": "",
    "function_localized": "",
    "date_in_service": "",
    "date_no_longer_in_service": "",
    "date_birth": "",
    "place_birth": "",
    "language": "Nederlands",
    "gender": "M",
    "civil_status": "",
    "civil_status_localized": "",
    "bic": "",
    "iban": "",
    "identity_card_nr": "",
    "national_identity_nr": "",
    "social_security_nr": "",
    "partner_name": "",
    "partner_profession": "",
    "partner_date_of_birth": "",
    "partner_with_disability": false,
    "partner_fiscally_dependent": false,
    "children_with_disability": 0,
    "children_fiscally_dependent": 0,
    "people_with_disability": 0,
    "people_fiscally_dependent": 0,
    "healthcare_fund_name": "",
    "healthcare_fund_registration_nr": "",
    "healthcare_fund_address": "",
    "healthcare_fund_addressline2": "",
    "healthcare_fund_countrycode": "",
    "healthcare_fund_zipcode": "",
    "healthcare_fund_city": "",
    "healthcare_fund_state": "",
    "general_practitioner": "",
    "telephone_emergency": "",
    "contract_start": "",
    "contract_end": "",
    "contract_independent": false,
    "contract_type": "",
    "contract_type_localized": "",
    "classification": "",
    "employment_form": "",
    "employment_form_localized": "",
    "employment_status": "",
    "employment_status_localized": "",
    "personnel_nr": "",
    "dimona_nr": "",
    "drivers_license": false,
    "drivers_license_expire_date": "",
    "acknowledgement_nr_gv": "",
    "acknowledgement_nr_tv": "",
    "acknowledgement_nr_va": "",
    "acknowledgement_nr_sv": "",
    "acknowledgement_g1": false,
    "acknowledgement_g2": false,
    "acknowledgement_l": false,
    "distance_commute": 0,
    "active": true,
    "ts_lastupdate": "2026–05–07 09:18:50"
  }
]
}

/Employees/{id}/Upload

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/Employees/551/Upload

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: bGkfWxfOkkzSfjfGjfzRqDrPffArfGrjfDVkzlDOGOmGbIIUfb

Body Parameters :
ParameterName: fileParameterValue: tptype.txt

Success gives statuscode 201 And the following result

{“RecordChanges”: [
  {
    "name": "tptype.txt",
    "path_display": "",
    "path_lower": "",
    "id": "",
    "client_modified": "2026–05–07T09:18:51Z",
    "server_modified": "2026–05–07T09:18:51Z",
    "rev": "",
    "size": 425,
    "is_downloadable": true,
    "checksum": "RcsQpic6+j6bZuTox3wiIiyYvsFSpX/qAZJEeoUqHPE="
  }
]
}